/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "characters.h"

pokercharacterdefinition_t POKER_CHARACTER_DEFINITIONS[] = {
  {
    "Lucy",
    POKER_CHARACTER_LUCY_TEXTURE,
    &pokerCharacterLucyInit
  },

  {
    "Julie",
    POKER_CHARACTER_JULIE_TEXTURE,
    &pokerCharacterJulieInit
  },

  {
    "Penny",
    POKER_CHARACTER_PENNY_TEXTURE,
    &pokerCharacterPennyInit
  },

  {
    "Sammy",
    POKER_CHARACTER_SAMMY_TEXTURE,
    &pokerCharacterSammyInit
  },

  {
    "Jenny",
    POKER_CHARACTER_JENNY_TEXTURE,
    &pokerCharacterJennyInit
  }
};

void pokerCharacterInit(vncharacter_t *crctr, texture_t *txtr, uint8_t i) {
  vnCharacterInit(crctr, txtr);
  POKER_CHARACTER_DEFINITIONS[i].init(crctr);
}